<?php
/**
 * Plugin Name: Animal Fun Facts
 * TODO: Add plugin URI
 * Plugin URI: 
 * Description: Widget that displays fun facts about pets from "The Pet Wiki" website
 * Version: 0.1
 * Author: Lena Danzig
 * Author URI: http://www.linkedin.com/in/lenadanzig
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.
 */

/**
 * Add function to widgets_init that'll load our widget.
 * @since 0.1
 */
add_action( 'widgets_init', 'thePetWiki_load_widgets' );

/**
 * Register our widget.
 * 'thePetWiki_Widget' is the widget class used below.
 *
 * @since 0.1
 */
function thePetWiki_load_widgets() {
	add_action('wp_head','load_petwiki_css');
	register_widget( 'thePetWiki_Widget' );
}
function load_petwiki_css() {
	echo '<link rel="stylesheet" type="text/css" href="'.trailingslashit(get_option('siteurl')).'wp-content/plugins/AnimalFunFacts-widget/petwikistyle.css" />'."\n";
}

/**
 * The Pet Wiki Widget class.
 * This class handles everything that needs to be handled with the widget:
 * the settings, form, display, and update.  Nice!
 *
 * @since 0.1
 */
class thePetWiki_Widget extends WP_Widget {

	/**
	 * Widget setup.
	 */
	function thePetWiki_Widget() {
		/* Widget settings. */
		$widget_ops = array( 'classname' => 'thePetWiki', 'description' => __('Displays fun facts about pets from "The Pet Wiki" website', 'thePetWiki') );

		/* Widget control settings. */
		$control_ops = array( 'width' => 300, 'height' => 350, 'id_base' => 'petwiki-widget' );

		/* Create the widget. */
		$this->WP_Widget( 'petwiki-widget', __('Animal Fun Facts', 'thePetWiki'), $widget_ops, $control_ops );
	}

	/**
	 * How to display the widget on the screen.
	 */
	function widget( $args, $instance ) {
	
		extract( $args );
		
		/* Before widget (defined by themes). */
		echo $before_widget;

		/* Display the widget title if one was input (before and after defined by themes). */
		if ( $title )
			echo $before_title . $title . $after_title;
		//including rss handling
		include_once(ABSPATH . WPINC . '/rss.php');
		define('MAGPIE_CACHE_ON',false);
		//TODO: to change to real url
		$rss = 'http://www.thepetwiki.com/widget/rss.xml';
		$messages = fetch_rss($rss);
		if(empty($messages->items) || $messages->ERROR || !is_array($messages->items)){
			$infoitem = "Nothing new for now";
		}
		else{
			$infoitem = $messages->items[0]['title'];
			$infoitem = rtrim($infoitem);
		}
		$sourcesiteurl=trailingslashit(get_option('siteurl'));
		$squareiconpath=$sourcesiteurl.'wp-content/plugins/AnimalFunFacts-widget/images/logoSmall.jpg';
		$didyouknowpath=$sourcesiteurl.'wp-content/plugins/AnimalFunFacts-widget/images/DidYouKnow.jpg';
		$pawpath=$sourcesiteurl.'wp-content/plugins/AnimalFunFacts-widget/images/paw.gif';
		$DYKDogpath=$sourcesiteurl.'wp-content/plugins/AnimalFunFacts-widget/images/DYKDogSmall.JPG';
		?>	
		<div class="rbroundbox">
			<div class="rbtop">
				<div></div>
			</div>
			<div id="topcontent">
				<img class="topicon" src="<?php echo $DYKDogpath ?>" align=absmiddle alt="dog paw icon"></img>
				<img src="<?php echo $didyouknowpath ?>" align=absmiddle alt="did you know?"></img></div>
			<div class="rbcontent">
				<p class="rbcontent"><?php echo $infoitem; ?></p>
			</div>
			<div class="bottomcontent" align=absmiddle>
				<a href="http://thepetwiki.com/" style="color:#F9DB2D; text-decoration:none;">
					<div>
						<img src="<?php echo $squareiconpath ?>" align=top alt="square icon"></img>
						The Pet Wiki
					</div>
				</a>
			</div>
			<div class="rbbot">
				<div></div>
			</div>
		</div>
		<?php
		echo $after_widget;
	}
}

?>